CREATE  PROCEDURE [dbo].[SP_OPEN_LOCK_FUNCTION]
	@FUNCTION_ID varchar(10)
AS
BEGIN
	SET NOCOUNT ON;

	DELETE TB_T_LOCK
	WHERE FUNCTION_NO IN
	(
		SELECT DISTINCT TB.FUNCTION_ID
		FROM
		(
			--SELECT [FUNCTION_RELATED] FUNCTION_ID 
			--FROM [TB_M_FUNCTIONDEPENDENCY]
			--WHERE [FUNCTION_MAIN] = @FUNCTION_ID AND [TYPE] = 1
			--UNION
			--SELECT [FUNCTION_MAIN]  FUNCTION_ID 
			--FROM [TB_M_FUNCTIONDEPENDENCY]
			--WHERE  [FUNCTION_RELATED] = @FUNCTION_ID AND [TYPE] = 2 
			--UNION 
			SELECT @FUNCTION_ID FUNCTION_ID
		) TB
	)
END

